Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.svggen.font.table
Class Lookup

    java.lang.Object
      org.apache.batik.svggen.font.table.Lookup

public class Lookup
extends java.lang.Object

Field Summary
`static int` | `IGNORE_BASE_GLYPHS`
`static int` | `IGNORE_BASE_LIGATURES`
`static int` | `IGNORE_BASE_MARKS`
`static int` | `MARK_ATTACHMENT_TYPE`

Constructor Summary
`Lookup(LookupSubtableFactory factory, java.io.RandomAccessFile raf, int offset)` Creates new Lookup

Method Summary
`LookupSubtable` | `getSubtable(int i)`
`int` | `getSubtableCount()`
`int` | `getType()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### IGNORE_BASE_GLYPHS

    public static final int IGNORE_BASE_GLYPHS

See Also:
  Constant Field Values

### IGNORE_BASE_LIGATURES

    public static final int IGNORE_BASE_LIGATURES

See Also:
  Constant Field Values

### IGNORE_BASE_MARKS

    public static final int IGNORE_BASE_MARKS

See Also:
  Constant Field Values

### MARK_ATTACHMENT_TYPE

    public static final int MARK_ATTACHMENT_TYPE

See Also:
  Constant Field Values

Constructor Detail

### Lookup

    public Lookup(LookupSubtableFactory factory,
                  java.io.RandomAccessFile raf,
                  int offset)
           throws java.io.IOException

  Creates new Lookup

Method Detail

### getType

    public int getType()

### getSubtableCount

    public int getSubtableCount()

### getSubtable

    public LookupSubtable getSubtable(int i)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.